Subject: Re: Compiling POV-Ray 3.01 with Mingw32 (gcc 2.8.1)
From: [email-masked] (Mumit Khan)

11 May 1998 17:44:24 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
To: Alain CULOS <[email-masked]>
Cc: cygwin <[email-masked]>

Alain CULOS <[email-masked]> writes:
> Hi All,
> 
> I hope this helps someone else.
> Now I have progressed a few steps and I stumble accross a PASCAL call.
> Could anyone help me with getting the following PASCAL call to compile.

Include the following somewhere in your code. This should be included in
Window32api/Defines.h where FAR is defined to be nothing.

  #ifdef __GNUC__
  # define NEAR
  #endif

Or add '-DNEAR=' to your CPPFLAGS.

Btw, a good way to debug these things is the following:
  
  1. compile the file with -save-temps option to gcc which creates a ".i"
     file that is pre-processed.
  2. Take a look at what the compiler actually sees in the .i file.

Mumit
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".